package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 
 * @TableName fs_remark_record
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FsRemarkRecord implements Serializable {
    /**
     * 通话UUID
     */
    @TableId
    private String uuid;

    /**
     * 通话类型
     */
    private String calltype;

    /**
     * 备注
     */
    private String remark;

    /**
     * 客户状态
     */
    private String clientstatus;

    /**
     * 处理提交时间
     */
    private Date dealtime;

    /**
     * 所属省份
     */
    private String province;

    /**
     * 所属城市
     */
    private String city;

    /**
     * 区号
     */
    private String areacode;

    /**
     * 备用1
     */
    private String bak1;

    /**
     * 处理座席
     */
    private String dealseat;

    /**
     * 外线号码
     */
    private String phonenum;

    /**
     * 项目pid
     */
    private Integer pid;

    /**
     * 所属部门
     */
    private String code;

    /**
     * 处理座席号码
     */
    private String dealseatnum;

    /**
     * 业务类型
     */
    private String businesstype;

    /**
     * 办事处
     */
    private String office;

    /**
     * 店铺名称
     */
    private String shopname;

    /**
     * 店铺地址
     */
    private String shopaddress;

    /**
     * 附件
     */
    private String enclosure;

    /**
     * 联动1
     */
    private String linkage11;

    /**
     * 联动2
     */
    private String linkage12;

    /**
     * 复选框
     */
    private String checkbox1;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}