package com.ruoyi.system.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.FsChannelRecordVo;
import com.ruoyi.system.mapper.FsChannelRecordMapper;
import com.ruoyi.system.service.FsChannelRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.domain.FsChannelRecord;

import java.util.List;

/**
* @author 13560
* @description 针对表【fs_channel_record】的数据库操作Service实现
* @createDate 2024-04-07 14:25:04
*/
@Service
public class FsChannelRecordServiceImpl extends ServiceImpl<FsChannelRecordMapper, FsChannelRecord>
    implements FsChannelRecordService {


    @Autowired
    private FsChannelRecordMapper recordMapper;


    @Override
    public List<FsChannelRecordVo> selectFsChannelRecordList(FsChannelRecord record)
    {
        return recordMapper.selectFsChannelRecordList(record);
    }

}




